Atualizando a GEM Opencode

A atualização da Gem Opencode é recomendada para sempre manter compatível com os recursos do OpenCode.

Para esta atualização, é necessário verificar a versão da GEM utilizada, pois caso utilize uma versão igual ou inferior a versão 0.1.2, é necessário desinstalar a GEM e realizar uma nova instalação

Para verificar a versão atual utilizada da GEM OpenCode, execute o seguinte comando:


    $ gem list
    

Será exibida uma lista como abaixo:

Atualização a partir da versão 1.0.0

Caso a sua versão seja igual ou superior a versão 1.0.0, basta realizar apenas a atualização utilizando o seguinte comando:


    $ gem update opencode_theme
    

Para saber se a atualização foi bem sucedida execute o seguinte comando:


    $ opencode systeminfo
    

Executando esse comando deve ser exibido a versão da gem como mostrado na imagem a baixo:

Atualização da versão 0.1.2 ou inferior

Caso utilize uma versão igual ou inferior a versão 0.1.2 será necessário realizar a desinstalação da GEM e a instalação para versão atual

Para a desinstalação execute o comando a baixo:


    $ gem uninstall opencode_theme
    

Caso a desinstalação seja bem sucedida será exibida a mensagem abaixo:

Após isso basta realizar a instalação na nova versão da GEM.